<!DOCTYPE html>
<html>
	<head>
		<title>Bootstrap introduction and Simple Styles</title>

		<!-- Responsive meta tag -->
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

		<!-- Bootstrap CSS link -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	</head>

	<body class="text-center bg-secondary">
		<!-- Navbar -->
		<div class="bg-primary text-light fixed-top p-1">
			<!-- p for all sides to be affected -->
			Fixed Top Navbar
		</div>
		<!-- End of Navbar -->

		<!-- Header -->
		<div class="mt-5">
			<!-- mt-5 (margin top value =5) / if only m, it will be applied to all sides
			https://getbootstrap.com/docs/4.6/utilities/spacing/ -->
			<h1>Bootstrap Introduction and Simple Styles</h1>
			<div class="d-none d-lg-inline-block w-25 mt-4">
				<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
			</div>
		</div>
		<!-- End of Header -->

		
		<div class="container mt-5 mb-5">
			<!-- Bootstrap Color Classes -->
			<h2>Bootstrap Color Classes</h2>
			<table class="table table-dark table-bordered">
				<thead>
					<tr>
						<th>Text</th>
						<th>Background</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<a href="#" class="text-primary">Primary Link</a>
						</td>
						<td class="bg-primary text-white">Primary</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-secondary">Secondary Link</a>
						</td>
						<td class="bg-secondary text-white">Secondary</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-success">Success Link</a>
						</td>
						<td class="bg-success text-white">Success</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-danger">Danger Link</a>
						</td>
						<td class="bg-danger text-white">Danger</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-warning">Warning Link</a>
						</td>
						<td class="bg-warning text-white">Warning</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-info">Info Link</a>
						</td>
						<td class="bg-info text-white">Info</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-light">Light Link</a>
						</td>
						<td class="bg-light text-dark">Light</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-dark">Dark Link</a>
						</td>
						<td class="bg-dark text-white">Dark</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-muted">Muted Link</a>
						</td>
						<td class="bg-muted text-white">Muted</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-white">White Link</a>
						</td>
						<td class="bg-white text-dark">White</td>
					</tr>
				</tbody>
			</table>
		</div>


		<!-- Bootstrap Text Alignment Classes -->
		<h2>Bootstrap Text Classes</h2>
		<table class="table table-dark table-bordered text-light">
			<thead>
				<tr>
					<th>Alignment</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="text-left">Left</td>
				</tr>
				<tr>
					<td class="text-center">Center</td>
				</tr>
				<tr>
					<td class="text-right">Right</td>
				</tr>
				<tr>
					<td class="text-sm-center">Small Center</td>
				</tr>
				<tr>
					<td class="text-right text-md-left">Medium Left</td>
				</tr>
				<tr>
					<td class="text-lg-right">Large Right</td>
				</tr>
				<tr>
					<td class="text-xl-right">Extra Large Right</td>
				</tr>
			</tbody>
		</table>

		<!-- Bootstrap Other Text Classes -->
		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>Text Transform</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="text-lowercase font-weight-bold">LOWERCASED BOLD TEXT</td>
				</tr>
				<tr>
					<td class="text-uppercase font-weight-normal">uppercased normal text</td>
				</tr>
				<tr>
					<td class="text-capitalize font-weight-light">capitalized light text</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-decoration-none font-italic">Non-underlined Text</a>
						<!-- text-decoration-none removes the underline on the text when cursor is pointed -->
					</td>
				</tr>
			</tbody>
		</table>

		<!-- Bootstrap Border and Sizing Classes -->
		<h2>Bootstrap Border and Sizing Classes</h2>
		<table class="table table-dark table-bordered">
			<thead>
				<tr>
					<th>Border</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<div class="bg-info border border-primary rounded w-100">
							Rounded
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="bg-warning border border-danger rounded-pill w-50">Rounded Pill</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="bg-secondary border border-white rounded-circle w-75">Rounded Circle</div>

						<!-- w-(100,75,50,25) -->
					</td>
				</tr>
			</tbody>
		</table>
		<!-- End of Bootstrap Border and Sizing Classes -->

		<!-- Footer -->
		<div class="bg-primary text-light fixed-bottom p-1">
			Fixed Bottom footer
		</div>



		<!-- JS Dependencies -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
	</body>
</html>